> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Checks the details of a specific server connection instance using its unique ID and API key,
returning server details like authentication status and associated server/platform info.



## OpenAPI

````yaml get /mcp-server/instance/{instanceId}
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /mcp-server/instance/{instanceId}:
    get:
      tags:
        - mcp-server
      summary: Get
      description: >-
        Checks the details of a specific server connection instance using its
        unique ID and API key,

        returning server details like authentication status and associated
        server/platform info.
      operationId: getServerInstance
      parameters:
        - name: instanceId
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: >-
              The ID of the connection integration instance whose status is
              being checked. This is returned by the Create API.
            title: Instanceid
          description: >-
            The ID of the connection integration instance whose status is being
            checked. This is returned by the Create API.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetInstanceResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    GetInstanceResponse:
      properties:
        instanceId:
          anyOf:
            - type: string
            - type: 'null'
          title: Instanceid
          description: The unique identifier of the connection integration instance.
        authNeeded:
          type: boolean
          title: Authneeded
          description: >-
            Indicates whether authentication is required for this server
            instance.
          default: false
        isAuthenticated:
          type: boolean
          title: Isauthenticated
          description: Indicates whether the instance is authenticated successfully.
          default: false
        serverName:
          type: string
          title: Servername
          description: The name of the MCP server associated with the instance.
          default: ''
        platform:
          type: string
          title: Platform
          description: The platform associated with the instance.
          default: ''
        externalUserId:
          type: string
          title: Externaluserid
          description: The user's identifier on the external platform.
          default: ''
        oauthUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Oauthurl
          description: >-
            The OAuth URL for authentication if available, supports white label
            if configured.
      type: object
      title: GetInstanceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````